"use strict";
const BaseError = require("./base-error");
class AggregateError extends BaseError {
  constructor(errors) {
    super();
    this.errors = errors;
    this.name = "AggregateError";
  }
  toString() {
    const message = `AggregateError of:
${this.errors.map((error) => error === this ? "[Circular AggregateError]" : error instanceof AggregateError ? String(error).replace(/\n$/, "").replace(/^/mg, "  ") : String(error).replace(/^/mg, "    ").substring(2)).join("\n")}
`;
    return message;
  }
}
module.exports = AggregateError;
//# sourceMappingURL=aggregate-error.js.map
