"use strict";
const BaseError = require("./base-error");
class OptimisticLockError extends BaseError {
  constructor(options) {
    options = options || {};
    options.message = options.message || `Attempting to update a stale model instance: ${options.modelName}`;
    super(options.message);
    this.name = "SequelizeOptimisticLockError";
    this.modelName = options.modelName;
    this.values = options.values;
    this.where = options.where;
  }
}
module.exports = OptimisticLockError;
//# sourceMappingURL=optimistic-lock-error.js.map
